get
https://pluto.cargobase.com/api/1/requests/
The Request List View end-point provides a list of Requests associated with the requesting user.
Request URI
GET https://pluto.cargobase.com/api/1/requests/
Content-Type: application/json
Authorization: Token your_token_here
Status codes
| Status | Description | Resolution |
|---|---|---|
| 200 | OK | -- |
| 403 | Forbidden | check Authentication token, or status of the request |
Request Response definition
Results (Main message)
| Key | Value | Definition |
|---|---|---|
| quote_request_reference | STRING | Cargobase Request ID |
| quote_request_title | STRING | Title of the Request, as provided by the Shipper |
| freight_modes | STRING | Requested freight modes, can be multiple for Shipper but single for Provider |
| shipper | STRING | Name of the Shipper company |
| quotes_count | INT | Number of received quotes, in case of shipper or submitted quotes in case of Provider |
| status | STRING | Current status of request, see list for potential status below |
| pickup_city | STRING | The city name for Shipment pickup |
| pickup_country | STRING | The country name for Shipment pickup |
| stop1_city | STRING | The city name for the requested delivery location |
| stop1_country | STRING | The country name for the requested delivery location |
| created_by | STRING | The email ID of the initiating user account, visible to Shippers only |
| last_modified | STRING | The Date and Time in UTC since the most recent update to this request |
| open_for_quotation | BOOLEAN | To indicate if quotes can still be submitted (PROVIDERS ONLY) |
Request status options
| Status | Definition |
|---|---|
| New | An active request that has not yet received quotes |
| Quoted | An active request that has received 1 or multiple quotes |
| Canceled | A request that was canceled manually or automatically |
| In Progress | Only for Providers - displayed when quoting is ongoing, but the quote has not been submitted |
"Footer"
| Key | Value | Definition |
|---|---|---|
| previous | STRING | URL to the previous page, in case page number is higher than 1 |
| record_end | INTEGER | Number of the highest request on the page |
| count | INTEGER | Total number of requests available to the user, across all pages |
| page | INTEGER | Page number |
| record_start | INTEGER | Number of the first request on the page |
| next | STRING | URL to the previous page, in case page number is lower than the highest available |
Pagination
The request list results are paginated with 10 results per page by default.
Results are displayed in descending order, that means that result 1 on page 1 is the newest addition.
To request a specific page append ?page=XX to the URI.
To request a specific number of items per page, append ?page_size=xx to the URI.
Results can also be filtered to only display results of the account calling the API, this is done by appending '=self'.
Example
Calling the API to show only your own requests, with 25 per page and viewing page 3 is
GET https://pluto.cargobase.com/api/1/requests/?=self&page_size=25&page=3
Content-Type: application/json
Authorization: Token your_token_here
Known issues
- None at this moment